/* ==========================================================================*/
/* - - - - - - - - - - - -  M E N U , H  - - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*	Created   07-10-2004   M. Wheatley                                       */
/*	Modified  07-10-2004   MW                                                */
/*.........................................................................  */
/* MENU Module Include File                                                  */
/*.........................................................................  */
#ifndef MENU_MODULE
#define MENU_MODULE

/*>>>>>>>>>>>>>>>>>>>>>> Global Defines <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
#define SRC_CODEC 0
#define SRC_SINE 1
#define SRC_NOISE 2
#define SRC_SINENOISE 3

#define DSP_NONE 0
#define DSP_LPFIR 1
#define DSP_HPFIR 2
#define DSP_BPFIR 3
#define DSP_BSFIR 4
#define DSP_SHIFT 5
#define DSP_LMS 6

#define MENU_INPUT 0
#define MENU_DSP 1
#define MENU_CODEC 2
#define MENU_TIME 3
#define MENU_FREQ 4

/*>>>>>>>>>>>>>>>>>>>>>>> External memory <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
extern char InputSrc;
extern char DspProc;
extern char CurrentMenu;
extern int CurrentInScale;

/*>>>>>>>>>>>>>>>>>>>>>> External functions <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
extern void InitMenu( void );
extern void ServiceMenu(void);

#endif

